### A free/open-source library for quantitative finance

Public Types | Public Member Functions
BoxMullerGaussianRng< RNG > Class Template Reference

Gaussian random number generator. More...

`#include <ql/math/randomnumbers/boxmullergaussianrng.hpp>`

List of all members.

## Public Types

typedef Sample< Real > | sample_type
typedef RNG | urng_type

## Public Member Functions

| BoxMullerGaussianRng (const RNG &uniformGenerator)
sample_type | next () const
| returns a sample from a Gaussian distribution

## Detailed Description

### template<class RNG>
class QuantLib::BoxMullerGaussianRng< RNG >

Gaussian random number generator.

It uses the well-known Box-Muller transformation to return a normal distributed Gaussian deviate with average 0.0 and standard deviation of 1.0, from a uniform deviate in (0,1) supplied by RNG.

Class RNG must implement the following interface:

                RNG::sample_type RNG::next() const;